# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'dtc_rake/version'

Gem::Specification.new do |spec|
  spec.name          = "dtc_rake"
  spec.version       = DtcRake::VERSION
  spec.authors       = ["Jan Sibil"]
  spec.email         = ["21-1@plus4u.net"]
  spec.license       = 'MIT'

  spec.summary       = %q{Rake tasks for building apps produced by DTC.DEV team.}

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "json", "~> 1.8.3"
  spec.add_runtime_dependency "rainbow", "~> 2.1.0"
  spec.add_runtime_dependency "uu_os", "~> 0.29"
  spec.add_runtime_dependency "uu_os_commons", "~> 1.5"
  spec.add_runtime_dependency "rake-version", "~> 1.0"

  spec.add_development_dependency "bundler", ">= 1.13.3", "< 1.16.0"
  spec.add_development_dependency "rake", "< 12.2.1"
end
